
Redmine - Defect #24718

Prevent from reassigning spent time to an issue that is going to be deleted

2016-12-30 08:16 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.5   

Resolution: Fixed Affected version:  

Description

We can reassign reported hours to other issue when we delete issues.

But if you reassign reported hours to the issue about to be deleted, we will lose those data without any notice.

This is a patch to fix this behavior: reassigning-reported-hours-to-the-issue-about-to-deleted-should-fail.diff

Related issues:

Related to Redmine - Defect #24693: Spent time on subtasks should also be rea... Closed

Associated revisions

Revision 16118 - 2016-12-31 16:04 - Jean-Philippe Lang

Handle time entries on subtasks and prevent from reassigning an issue that is going to be deleted (#24718, #24693).

Revision 16119 - 2016-12-31 16:04 - Jean-Philippe Lang

Add :error_cannot_reassign_time_entries_to_an_issue_about_to_be_deleted i18n string (#24718).

Revision 16132 - 2017-01-04 21:47 - Jean-Philippe Lang

Merged r16118 to r16122 (#24693, #24718, #24722).

Revision 16133 - 2017-01-04 21:50 - Jean-Philippe Lang

Merged r16118 to r16122 (#24693, #24718, #24722).

History

#1 - 2016-12-31 01:30 - Go MAEDA

- Related to Defect #24693: Spent time on subtasks should also be reassigned when deleting an issue added

#2 - 2016-12-31 16:06 - Jean-Philippe Lang

- Subject changed from Reassigning reported hours when deleting issue may causes loss of those data to Prevent from reassigning spent time to an

issue that is going to be deleted

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.5

- Resolution set to Fixed

We should also prevent from reassigning time to a subtask that is going to be deleted as well.

r16118 should fix this one and #24693 with tests for both.

Thanks for pointing this out.

#3 - 2017-01-04 21:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#4 - 2017-01-07 19:05 - Mischa The Evil

Nice catch Go...
https://www.redmine.org/attachments/17373
https://www.redmine.org/projects/redmine/repository/svn/revisions/16118
https://www.redmine.org/issues/24693
